Subject: Re: [PATCH v3 1/6] show-ref doc: update for internal consistency

From: Junio C Hamano <[email-masked]>
Date: Mon, 15 May 2023 12:48:26 -0700

"Sean Allred via GitGitGadget" <[email-masked]> writes:

> From: Sean Allred <[email-masked]>
>
> - Use inline-code syntax for options where appropriate.
> - Use code blocks to clarify output format.
>
> This patch also swaps out 'SHA-1' language for the implementation-
> agnostic 'OID' term where appropriate in preparation for supporting
> different hashing algorithms.

Making the last one into the third bullet item, e.g.

    - Use OID instead of SHA-1, as we support different hashing
      algorithems these days.

would have been even easier to follow, but I'll let it pass.  

In prose, "object name" would flow better than OID (the original
would say not just "SHA-1" but use "SHA-1 hash" or somesuch in such
a context), I would think.  When used as a placeholder, OID would be
perfectly fine (<oid>, where we used to write <hash> or <sha-1> or
<SHA-1>).

>  -s::
>  --hash[=<n>]::
>  
> -	Only show the SHA-1 hash, not the reference name. When combined with
> -	--dereference the dereferenced tag will still be shown after the SHA-1.
> +	Only show the OID, not the reference name. When combined with
> +	`--dereference`, the dereferenced tag will still be shown after the OID.

Not a problem you created, but I noticed we do not explain what
"=<n>" up there does.

> @@ -96,7 +96,13 @@ OPTIONS
>  OUTPUT
>  ------
>  
> -The output is in the format: '<SHA-1 ID>' '<space>' '<reference name>'.
> +The output is in the format:
> +
> +------------
> +<oid> SP <ref> LF
> +------------
> +
> +For example,

OK.

> @@ -110,7 +116,13 @@ $ git show-ref --head --dereference
>  ...
>  -----------------------------------------------------------------------------
>  
> -When using --hash (and not --dereference) the output format is: '<SHA-1 ID>'
> +When using `--hash` (and not `--dereference`), the output is in the format:
> +
> +------------
> +<OID> LF
> +------------
> +
> +For example,

Let's consistently use <oid> in lowercase as the previous hunk.

Everything else looked great in this step.  Thanks for working on this.